
Redmine - Defect #22831

Rest api no longer return estimated time ,hours spent for master tickets

2016-05-16 15:11 - Filip Endris

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Since we upgraded from 1.2.xx to 3.2.1 (this major update is the reason i cant provide version which broke this feature) I can no

longer retrieve spent time and estimated time for master tickets this is what i get ->

<estimated_hours/>

<spent_hours>0.0</spent_hours>

the ticket itself of course have more than 0 in both fields

Related issues:

Is duplicate of Redmine - Feature #21757: Add Total spent hours and Estimated... Closed

History

#1 - 2016-05-16 16:16 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#2 - 2016-06-06 09:22 - Filip Endris

Using rest api issues

Environment:

Redmine version                3.2.1.stable.15362

Ruby version                   2.1.9-p490 (2016-03-30) [x86_64-linux]

Rails version                  4.2.5.2

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.11

Git                            1.7.1

Filesystem

Redmine plugins:

no plugin installed

Server version: 10.1.13-MariaDB MariaDB Server

#3 - 2017-01-07 08:13 - Go MAEDA

- Is duplicate of Feature #21757: Add Total spent hours and Estimated hours to the REST API response added

#4 - 2017-01-07 08:23 - Go MAEDA

- Category set to REST API

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

Fixed by #21757.

estimated_hours and spent_hours for a parent issue are now the value of the issue itself on Redmine 3.1 and later, not the sum of the value of

subtasks.

Now you can get the summed value with total_estimated_hours and total_spent_hours on Redmine 3.3.0 and later.
